Name:           perl-Tree
Version:        1.10
Release:        4%{?dist}
Summary:        Tree data structure
# lib/Tree/Binary2.pm:  GPL+ or Artistic
# lib/Tree/Fast.pm:     GPL+ or Artistic
# lib/Tree.pm:          GPL+ or Artistic
# LICENSE:              GPL+ or Artistic
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Tree/
Source0:        http://www.cpan.org/authors/id/R/RS/RSAVAGE/Tree-%{version}.tgz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# I deliberately striped dependency versions because upstream blindly copies
# versions from his machine, and that prevents from pushing this software into
# older distributions, CPAN RT#117858
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(constant)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
# Tests:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Warn)
# Optional tests:
BuildRequires:  perl(Test::Memory::Cycle) >= 1.02
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This implements a full-featured N-ary tree representation with configurable
error-handling and a simple events system that allows for transparent
persistence to a variety of data stores.

%prep
%setup -q -n Tree-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
# README not useful
%doc Changes scripts
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.10-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Sep 15 2016 Petr Pisar <ppisar@redhat.com> - 1.10-1
- 1.10 bump

* Thu Sep 15 2016 Petr Pisar <ppisar@redhat.com> - 1.09-2
- Remove useless dependency version contrains (CPAN RT#117858)

* Thu Sep 15 2016 Petr Pisar <ppisar@redhat.com> - 1.09-1
- 1.09 bump

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.08-2
- Perl 5.24 rebuild

* Thu May 05 2016 Petr Pisar <ppisar@redhat.com> - 1.08-1
- 1.08 bump
- License changed to (GPL+ or Artistic)

* Fri Apr 15 2016 Petr Pisar <ppisar@redhat.com> 1.07-1
- Specfile autogenerated by cpanspec 1.78.
